summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAmy Liffey <amynka@gentoo.org>2018-01-18 21:03:21 +0100
committerAmy Liffey <amynka@gentoo.org>2018-01-18 21:03:21 +0100
commit7e48ff6c4f0839d1b633c985efde00f51480cb5f (patch)
tree8ff0827aa9829f854670fa2af6edb59fa93ffb0c /app-officeext/ooofbtools/ooofbtools-2.52.ebuild
parentapp-office/grisbi: version bump 1.0.2 (diff)
downloadgentoo-7e48ff6c4f0839d1b633c985efde00f51480cb5f.tar.gz
gentoo-7e48ff6c4f0839d1b633c985efde00f51480cb5f.tar.bz2
gentoo-7e48ff6c4f0839d1b633c985efde00f51480cb5f.zip
app-officeext/ooofbtools: version bump 2.52
Closes: https://bugs.gentoo.org/642372 Package-Manager: Portage-2.3.13, Repoman-2.3.3
Diffstat (limited to 'app-officeext/ooofbtools/ooofbtools-2.52.ebuild')
-rw-r--r--app-officeext/ooofbtools/ooofbtools-2.52.ebuild41
1 files changed, 41 insertions, 0 deletions
diff --git a/app-officeext/ooofbtools/ooofbtools-2.52.ebuild b/app-officeext/ooofbtools/ooofbtools-2.52.ebuild
new file mode 100644
index 00000000000..461fdfddf20
--- /dev/null
+++ b/app-officeext/ooofbtools/ooofbtools-2.52.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+MY_PN="OOoFBTools"
+
+OFFICE_EXTENSIONS=(
+ "${MY_PN}.oxt"
+)
+
+inherit office-ext-r1
+
+DESCRIPTION="OpenOffice extension for the FictionBook2 format with validation"
+HOMEPAGE="https://sourceforge.net/projects/fbtools/"
+SRC_URI="mirror://sourceforge/fbtools/files/release/${MY_PN}-${PV}.zip"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-libs/libxml2
+ app-arch/zip"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+OFFICE_EXTENSIONS_LOCATION="${S}"
+
+src_prepare() {
+ # Remove Windows cruft
+ pushd "${WORKDIR}/${MY_PN}.oxt" &>/dev/null || die
+ rm -r win32 || die
+ popd &>/dev/null || die
+
+ eapply_user
+}
+
+src_install() {
+ office-ext-r1_src_install
+ dodoc ChangeLog*
+}